#ifndef _SEGMENTDISPLAY_H_
#define _SEGMENTDISPLAY_H_
 
#include <windows.h>
#include "gpioLib.h"
 
#define PIN_A                   92          ///< Iris connector X16 pin 11, used as GPIO.
#define PIN_B                   98          ///< Iris connector X16 pin 13, used as GPIO.
#define PIN_C                   103         ///< Iris connector X16 pin 15, used as GPIO.
#define PIN_D                   101         ///< Iris connector X16 pin 16, used as GPIO.
#define PIN_E                   97          ///< Iris connector X16 pin 17, used as GPIO.
#define PIN_F                   85          ///< Iris connector X16 pin 18, used as GPIO.
#define PIN_G                   79          ///< Iris connector X16 pin 19, used as GPIO.
#define PIN_DOT                 45          ///< Iris connector X16 pin 20, used as GPIO.
 
#define SELECTION_SEGMENT_0     90          ///< Iris connector X16 pin 10, used as GPIO.
#define SELECTION_SEGMENT_1     28          ///< Iris connector X16 pin 38, used as GPIO.
#define SELECTION_SEGMENT_2     30          ///< Iris connector X16 pin 39, used as GPIO.
#define SELECTION_SEGMENT_3     67          ///< Iris connector X16 pin 40, used as GPIO.

#define ACTIVE_HIGH				TRUE
#define ACTIVE_LOW				FALSE
#define SELECTION_PIN_LOGIC		ACTIVE_HIGH
#define GPIO                    -1

//******************************************************************************
/// Configures GPIOs, used as input and output.
void SegmentPinConfig(void);

//******************************************************************************
/// Display data on seven segment display.
/// @param[in]   digit      Digit array to be displayed.
void SegmentDisplay(DWORD *digit);
 
#endif